
LabInvent (InventIrap) - Action #2070

Feature # 2067 (In Progress): FEATURE/ GENERAL LABINVENT 2

EMAILS - Affiner la fonctionnalité d’envoi automatique des emails

05/02/2017 03:30 PM - Pallier Etienne

Status: In Progress Start date: 05/04/2017

Priority: Normal Due date: 05/04/2017

Assigned To: Ajas Thibault % Done: 25%

Category:  Estimated time: 16.00 hours

Target version: SPRINT #2 (v2.6)   

Description

1) (NEW) l'envoi d'emails doit être désactivé par défaut lors de l'installation

2) on doit pouvoir configurer cette fonctionnalité (et l'activer ou la désactiver)

quand on active cette option:

on doit pouvoir entrer les paramètres nécessaires pour l'ENVOI (smtp) des mails (comme pour le LDAP)

on doit pouvoir rentrer une liste d'emails qui RECEVRONT ces mails

on doit pouvoir rentrer un "Titre du mail" pour qu'on puisse configurer le titre du mail envoyé (ex: "[LABINVENT]")

on doit avoir une liste d'actions (qui déclenchent l'envoi d'un email) qui s'affiche et que l'on peut cocher ou pas (ex: "création d'un

nouveau matériel", "modification d'un matériel", "création d'un suivi", ...)

3) (Demande electroniciens) Ca serait bien que le proprio de la fiche reçoive un email quand l'étiquette est imprimée, ou encore

quand la fiche est validée => dans le but qu'il vérifie et complète cette fiche

NB: Déjà 2 resp. thématiques ont manifesté leur mécontentement : Olivier Forni et Marie Calvet

=> solution temporaire : on leur a enlevé temporairement la responsabilité de "resp. thématique" ; il faudra la rétablir quand le

problème sera réglé

4) Relance, Rappel d’intervention par email (cf 

https://projects.irap.omp.eu/projects/inventirap/wiki/Developpement#Rappel-dintervention-par-mail)

Subtasks:

Action # 2098: EMAIL 1 - l’envoi d’emails doit être désactivé par défaut lors de l’inst... Resolved

Action # 2100: EMAIL 2 - on doit pouvoir configurer cette fonctionnalité (et l'activer ... In Progress

Action # 2101: EMAIL 3 - (Demande electroniciens) Ca serait bien que le proprio de la f... New

Action # 2102: EMAIL 4 - Relance, Rappel d’intervention par email (cf https://projects.... New

History

#2 - 05/02/2017 03:36 PM - Ajas Thibault

- Status changed from New to In Progress

#3 - 05/02/2017 06:34 PM - Pallier Etienne

- Description updated

#4 - 05/04/2017 02:25 PM - Pallier Etienne

- Status changed from In Progress to New

#5 - 05/04/2017 02:28 PM - Pallier Etienne

- Due date set to 05/04/2017

en raison d'un changement dans une tâche liée: #2098

#6 - 05/04/2017 02:31 PM - Pallier Etienne

- Description updated
#7 - 05/04/2017 02:57 PM - Pallier Etienne

- Subject changed from emails - Affiner la fonctionnalité d’envoi automatique des emails to EMAILS - Affiner la fonctionnalité d’envoi automatique des

emails

- Description updated

#8 - 05/04/2017 03:25 PM - Pallier Etienne

- Release set to release 2
